package com.steering.mes.zgmil.entity;

public class MilOfflineResultDetiaEntity {
	 /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 判定炉号
     */
    private String backJudgeStoveNo;
    

	/**
     * 操作类型(0，组炉，1，探伤返线，2复检委托，3，交库)
     */
    private String operationType;
    /**
     * 支数
     */
    private String actCount;
    /**
     * 重量
     */
    private String actWeight;
    /**
     * 操作时间
     */
    private String colTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 操作ID(年月日+5位流水)
     */
    private String operationId;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * ID
     */
    private String id;
    /***
     * 下线类型
     */
    private String offlineType;
    

	public MilOfflineResultDetiaEntity(){
    	offlineType = "";
        lotNo = "";
        judgeStoveNo = "";
        operationType = "";
        actCount = "";
        actWeight = "";
        colTime = "";
        remark = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        operationId = "";
        plineCode = "";
        id = "";
        backJudgeStoveNo = "";
    }
	public String getBackJudgeStoveNo() {
		return backJudgeStoveNo;
	}
	public void setBackJudgeStoveNo(String backJudgeStoveNo) {
		this.backJudgeStoveNo = backJudgeStoveNo;
	}
    /***
     * 下线类型
     * @return
     */
	public String getOfflineType() {
		return offlineType;
	}

	public void setOfflineType(String offlineType) {
		this.offlineType = offlineType;
	}
    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 操作类型(0，组炉，1，探伤返线，2复检委托，3，交库)
     * @return value
     */
    public String getOperationType() {
        return operationType;
    }

    /**
     * 操作类型(0，组炉，1，探伤返线，2复检委托，3，交库)
     * @param operationType value
     */
    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 重量
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 重量
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作ID(年月日+5位流水)
     * @return value
     */
    public String getOperationId() {
        return operationId;
    }

    /**
     * 操作ID(年月日+5位流水)
     * @param operationId value
     */
    public void setOperationId(String operationId) {
        this.operationId = operationId;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }
}
